--- include/class.issue.php	2009-01-13 20:09:57.681222753 +0200
+++ /usr/share/eventum/include/class.issue.php	2009-02-05 02:15:18.617317004 +0200
@@ -3432,21 +3690,21 @@
             if (empty($res)) {
                 return "";
             } else {
-                $created_date_ts = Date_API::getUnixTimestamp($res['iss_created_date'], Date_API::getDefaultTimezone());
+                $created_date_ts = Date_Helper::getUnixTimestamp($res['iss_created_date'], Date_Helper::getDefaultTimezone());
                 // get customer information, if any
                 if ((!empty($res['iss_customer_id'])) && (Customer::hasCustomerIntegration($res['iss_prj_id']))) {
                     $res['customer_business_hours'] = Customer::getBusinessHours($res['iss_prj_id'], $res['iss_customer_id']);
-                    $res['contact_local_time'] = Date_API::getFormattedDate(Date_API::getCurrentDateGMT(), $res['iss_contact_timezone']);
+                    $res['contact_local_time'] = Date_Helper::getFormattedDate(Date_Helper::getCurrentDateGMT(), $res['iss_contact_timezone']);
                     $res['customer_info'] = Customer::getDetails($res['iss_prj_id'], $res['iss_customer_id'], false, $res['iss_customer_contract_id']);
                     $res['redeemed_incidents'] = Customer::getRedeemedIncidentDetails($res['iss_prj_id'], $res['iss_id']);
                     $max_first_response_time = Customer::getMaximumFirstResponseTime($res['iss_prj_id'], $res['iss_customer_id'], $res['iss_customer_contract_id']);
                     $res['max_first_response_time'] = Misc::getFormattedTime($max_first_response_time / 60);
                     if (empty($res['iss_first_response_date'])) {
                         $first_response_deadline = $created_date_ts + $max_first_response_time;
-                        if (Date_API::getCurrentUnixTimestampGMT() <= $first_response_deadline) {
-                            $res['max_first_response_time_left'] = Date_API::getFormattedDateDiff($first_response_deadline, Date_API::getCurrentUnixTimestampGMT());
+                        if (Date_Helper::getCurrentUnixTimestampGMT() <= $first_response_deadline) {
+                            $res['max_first_response_time_left'] = Date_Helper::getFormattedDateDiff($first_response_deadline, Date_Helper::getCurrentUnixTimestampGMT());
                         } else {
-                            $res['overdue_first_response_time'] = Date_API::getFormattedDateDiff(Date_API::getCurrentUnixTimestampGMT(), $first_response_deadline);
+                            $res['overdue_first_response_time'] = Date_Helper::getFormattedDateDiff(Date_Helper::getCurrentUnixTimestampGMT(), $first_response_deadline);
                         }
                     }
                 }
@@ -3456,7 +3714,7 @@
                     $res["iss_resolution"] = Resolution::getTitle($res["iss_res_id"]);
                 }
                 $res["iss_impact_analysis"] = nl2br(htmlspecialchars($res["iss_impact_analysis"]));
-                $res["iss_created_date"] = Date_API::getFormattedDate($res["iss_created_date"]);
+                $res["iss_created_date"] = Date_Helper::getFormattedDate($res["iss_created_date"]);
                 $res['iss_created_date_ts'] = $created_date_ts;
                 $res["assignments"] = @implode(", ", array_values(Issue::getAssignedUsers($res["iss_id"])));
                 list($res['authorized_names'], $res['authorized_repliers']) = Authorized_Replier::getAuthorizedRepliers($res["iss_id"]);
@@ -3483,7 +3741,7 @@
                 if (empty($res["iss_updated_date"])) {
                     $res["iss_updated_date"] = 'not updated yet';
                 } else {
-                    $res["iss_updated_date"] = Date_API::getFormattedDate($res["iss_updated_date"]);
+                    $res["iss_updated_date"] = Date_Helper::getFormattedDate($res["iss_updated_date"]);
                 }
                 $res["estimated_formatted_time"] = Misc::getFormattedTime($res["iss_dev_time"]);
                 if (Release::isAssignable($res["iss_pre_id"])) {
@@ -3533,7 +3791,7 @@
                  WHERE
                     iss_sta_id=sta_id AND
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -3585,7 +3843,7 @@
                          WHERE
                             isu_usr_id = usr_id AND
                             isu_iss_id = " . $items[$i];
-                $current_assignees = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+                $current_assignees = Db_Helper::getInstance()->getAssoc($stmt);
                 if (PEAR::isError($current_assignees)) {
                     Error_Handler::logError(array($current_assignees->getMessage(), $current_assignees->getDebugInfo()), __FILE__, __LINE__);
                     return -1;
@@ -3608,7 +3866,7 @@
                              WHERE
                                 isu_iss_id=" . $items[$i] . " AND
                                 isu_usr_id=" . $usr_id;
-                    $total = $GLOBALS["db_api"]->dbh->getOne($stmt);
+                    $total = Db_Helper::getInstance()->getOne($stmt);
                     if ($total > 0) {
                         continue;
                     } else {
@@ -3689,14 +3947,14 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_internal_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_internal_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_internal_action_type='update',
                     iss_developer_est_time=" . Misc::escapeInteger($_POST["dev_time"]) . ",
                     iss_impact_analysis='" . Misc::escapeString($_POST["impact_analysis"]) . "'
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -3731,7 +3989,7 @@
         $stmt .= "
                  ORDER BY
                     iss_id DESC";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -3764,7 +4022,7 @@
         $stmt .= "
                  ORDER BY
                     iss_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -3821,7 +4079,7 @@
                     isa_associated_id=iss_id AND
                     iss_sta_id=sta_id AND
                     isa_issue_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -3850,7 +4108,7 @@
                     iss_id=" . Misc::escapeInteger($issue_id) . " AND
                     iss_sta_id=sta_id AND
                     sta_is_closed=1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -3882,9 +4140,9 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_quarantine
                  WHERE
                     iqu_iss_id=iss_id AND
-                    iqu_expiration >= '" . Date_API::getCurrentDateGMT() . "' AND
+                    iqu_expiration >= '" . Date_Helper::getCurrentDateGMT() . "' AND
                     iqu_expiration IS NOT NULL";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -3910,16 +4168,16 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_quarantine
                  WHERE
                     iqu_iss_id = " . Misc::escapeInteger($issue_id) . " AND
-                        (iqu_expiration > '" . Date_API::getCurrentDateGMT() . "' OR
+                        (iqu_expiration > '" . Date_Helper::getCurrentDateGMT() . "' OR
                         iqu_expiration IS NULL)";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
         } else {
             if (!empty($res["iqu_expiration"])) {
-                $expiration_ts = Date_API::getUnixTimestamp($res['iqu_expiration'], Date_API::getDefaultTimezone());
-                $res["time_till_expiration"] = Date_API::getFormattedDateDiff($expiration_ts, Date_API::getCurrentUnixTimestampGMT());
+                $expiration_ts = Date_Helper::getUnixTimestamp($res['iqu_expiration'], Date_Helper::getDefaultTimezone());
+                $res["time_till_expiration"] = Date_Helper::getFormattedDateDiff($expiration_ts, Date_Helper::getCurrentUnixTimestampGMT());
             }
             return $res;
         }
@@ -3947,7 +4205,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_quarantine
                  WHERE
                     iqu_iss_id = $issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -3963,7 +4221,7 @@
             }
             $stmt .= "\nWHERE
                         iqu_iss_id = $issue_id";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -3991,7 +4249,7 @@
                 $stmt .= ",\n'" . Misc::escapeString($expiration) . "'\n";
             }
             $stmt .= ")";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -4024,7 +4282,7 @@
                     iss_grp_id = $group_id
                  WHERE
                     iss_id = $issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -4054,7 +4312,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -4116,7 +4374,7 @@
                      sup_id = seb_sup_id AND
                      MATCH(seb_body) AGAINST ('" . Misc::escapeString($options['keywords']) . "' IN BOOLEAN MODE)
                  )";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array(-1);
@@ -4127,7 +4385,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_custom_field
                     WHERE
                         MATCH (icf_value) AGAINST ('" . Misc::escapeString($options['keywords']) . "' IN BOOLEAN MODE)";
-            $custom_res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+            $custom_res = Db_Helper::getInstance()->getCol($stmt);
             if (PEAR::isError($custom_res)) {
                 Error_Handler::logError(array($custom_res->getMessage(), $custom_res->getDebugInfo()), __FILE__, __LINE__);
                 return array(-1);
@@ -4229,7 +4487,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                     WHERE
                         iss_id=$issue_id";
-            $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+            $res = Db_Helper::getInstance()->getOne($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return true;
@@ -4260,11 +4518,12 @@
                     iss_res_id = null
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         }
+        Issue::moveOrderForAllUsers($issue_id, 1);
     }
 
 
@@ -4282,7 +4541,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                 WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -4311,7 +4570,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                 WHERE
                     iss_root_message_id = '" . Misc::escapeString($msg_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -4364,8 +4623,127 @@
         History::add($issue_id, Auth::getUserID(), History::getTypeID('user_associated'),
                         "Issue assignment to changed (" . History::formatChanges(join(', ', $old_assignee_names), join(', ', $assignee_names)) . ") by " . User::getFullName(Auth::getUserID()));
     }
+
+    /**
+     * Reorders user's issues as requested by user
+     * @access public
+     * @param $usr_id User to be reordered
+     * @param $issue_id Issue or array of issues to be moved
+     * @param $neworder The new order of the issues
+     * @return void
+     */
+    function reorderUserIssues($usr_id, $issue_id, $neworder)
+    {
+        if (!isset($usr_id) || !isset($issue_id) || !isset($neworder)) {
+            return false;
+        }
+        if (!is_numeric($usr_id) || !is_numeric($neworder)) {
+            return false;
+        }
+        $usr_id = Misc::escapeInteger($usr_id);
+        $issue_id = Misc::escapeInteger($issue_id);
+        $neworder = Misc::escapeInteger($neworder);
+        if (is_array($issue_id)) {
+            $issue_count = count($issue_id);
+            $issue_id_str = implode(", ", $issue_id);
+        } else {
+            $issue_count = 1;
+            $issue_id_str = $issue_id;
+            $issue_id = array($issue_id);
+        }
+        // do a nasty pretending to be deleting stuff so that reordering happens as if these elements were deleted
+        $orderlist = Issue::getDeleteUserAssociationOrderList($issue_id_str, $usr_id);
+        Issue::rearrangeDeleteUserAssociationOrderList($orderlist);
+        // move down the orders to free the "order space" needed
+        $stmt = "UPDATE 
+                    " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user
+                 SET
+                    isu_order = isu_order + $issue_count
+                 WHERE
+                    isu_usr_id = $usr_id AND
+                    isu_order >= $neworder";
+        $res = Db_Helper::getInstance()->query($stmt);
+        if (PEAR::isError($res)) {
+            Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+            return -1;
+        }
+        //update the order for the issues being moved
+        $i = 0;
+        foreach ($issue_id as $iss_id) {
+            $stmt = "UPDATE
+                        " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user
+                     SET
+                        isu_order = " . ($neworder + $i) . "
+                     WHERE
+                        isu_usr_id = $usr_id AND
+                        isu_iss_id = $iss_id";
+            $res = Db_Helper::getInstance()->query($stmt);
+            if (PEAR::isError($res)) {
+                Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+                return -1;
+            }
+            $i++;
+        }
+    }
+
+
+    /**
+     * Get users issue order list
+     * @access public
+     * @param $user_id User
+     * @param $order_list Order of the issues
+     * @return void
+     */
+    function getIssueOrderByUser($usr_id) {
+
+        if (!is_numeric($usr_id)) {
+            return false;
+        }
+
+        $stmt = "SELECT
+                    isu_iss_id, isu_order
+                FROM
+                    " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user
+                WHERE
+                    isu_usr_id = " . $usr_id ;
+
+        $order_list = array();
+
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
+
+        if (PEAR::isError($res)) {
+            Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+            return array();
+        } else {
+            foreach ($res as $row) {
+                $order_list[$row["isu_iss_id"]] = $row["isu_order"];
+            }
+        }
+        return $order_list;
+    }
+
+    function moveOrderForAllUsers($issue_id, $neworder)
+    {
+        // Move the issue to the top priority for the ppl it's assigned to
+        $stmt = "SELECT isu_usr_id FROM
+                    "  . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_user
+                 WHERE
+                    isu_iss_id = " . Misc::escapeInteger($issue_id);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
+        if (PEAR::isError($res)) {
+            Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
+            return -1;
+        }
+        foreach ($res as $row) {
+            Issue::reorderUserIssues($row["isu_usr_id"], $issue_id, $neworder);
+        }
+    }
+    
 }
 
+
+
+
 // benchmarking the included file (aka setup time)
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Issue Class');
--- include/class.language.php	2009-01-12 23:15:12.038752480 +0200
+++ /usr/share/eventum/include/class.language.php	2009-02-05 01:39:37.074425170 +0200
@@ -176,7 +176,6 @@
 
 // if there is no gettext support built into PHP, or we are running in language compatability mode include PHP-gettext
 if (!function_exists('gettext') || (defined('APP_GETTEXT_MODE') && APP_GETTEXT_MODE == 'php')) {
-    require_once(APP_INC_PATH . 'php-gettext/gettext.inc');
 
 	function ev_gettext($string) {
 		if (func_num_args() > 1) {
@@ -230,7 +229,6 @@
 }
 
 // this won't change over the request. so set it once and permanently
-_bindtextdomain('eventum', APP_PATH . 'misc/localization/');
 _bind_textdomain_codeset('eventum', APP_CHARSET);
 _textdomain('eventum');
 
--- include/class.link_filter.php	2009-01-12 23:15:12.068965748 +0200
+++ /usr/share/eventum/include/class.link_filter.php	2009-02-05 02:03:28.834056353 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.link_filter.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.user.php");
 
 /**
  * Class to handle parsing content for links.
@@ -58,7 +57,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "link_filter
                 WHERE
                     lfi_id = " . Misc::escapeInteger($lfi_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($sql, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($sql, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -69,7 +68,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_link_filter
                     WHERE
                         plf_lfi_id = " . $res['lfi_id'];
-            $projects = $GLOBALS["db_api"]->dbh->getCol($sql);
+            $projects = Db_Helper::getInstance()->getCol($sql);
             if (PEAR::isError($projects)) {
                 Error_Handler::logError(array($projects->getMessage(), $projects->getDebugInfo()), __FILE__, __LINE__);
                 $projects = array();
@@ -99,7 +98,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "link_filter
                 ORDER BY
                     lfi_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($sql, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($sql, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -114,7 +113,7 @@
                     WHERE
                         prj_id = plf_prj_id AND
                         plf_lfi_id = " . $res[$i]['lfi_id'];
-            $projects = $GLOBALS["db_api"]->dbh->getAssoc($sql);
+            $projects = Db_Helper::getInstance()->getAssoc($sql);
             if (PEAR::isError($projects)) {
                 Error_Handler::logError(array($projects->getMessage(), $projects->getDebugInfo()), __FILE__, __LINE__);
                 $projects = array();
@@ -149,7 +148,7 @@
                     '" . Misc::escapeInteger($_REQUEST["usr_role"]) . "',
                     '" . Misc::escapeString($_REQUEST["description"]) . "'
                 )";
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -165,7 +164,7 @@
                             $prj_id,
                             $lfi_id
                         )";
-                $res = $GLOBALS["db_api"]->dbh->query($sql);
+                $res = Db_Helper::getInstance()->query($sql);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return -1;
@@ -187,7 +186,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "link_filter
                 WHERE
                     lfi_id IN(" . join(',', Misc::escapeInteger($_REQUEST["items"])) . ")";
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -196,7 +195,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_link_filter
                 WHERE
                     plf_lfi_id IN(" . join(',', Misc::escapeInteger($_REQUEST["items"])) . ")";
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -221,7 +220,7 @@
                     lfi_description = '" . Misc::escapeString($_REQUEST["description"]) . "'
                 WHERE
                     lfi_id = " . $_REQUEST["id"];
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -230,7 +229,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_link_filter
                     WHERE
                         plf_lfi_id = " . Misc::escapeInteger($_REQUEST["id"]);
-            $res = $GLOBALS["db_api"]->dbh->query($sql);
+            $res = Db_Helper::getInstance()->query($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -245,7 +244,7 @@
                             $prj_id,
                             " . Misc::escapeInteger($_REQUEST["id"]) . "
                         )";
-                $res = $GLOBALS["db_api"]->dbh->query($sql);
+                $res = Db_Helper::getInstance()->query($sql);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return -1;
@@ -327,7 +326,7 @@
                     plf_prj_id = $prj_id
                 ORDER BY
                     lfi_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt);
+        $res = Db_Helper::getInstance()->getAll($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -348,7 +347,6 @@
      */
     function callbackIssueLinks($matches)
     {
-        require_once(APP_INC_PATH . "class.issue.php");
         // check if the issue is still open
         if (Issue::isClosed($matches[5])) {
             $class = 'closed_link';
